curl --request POST \
--url https://api.example.com/dict-hub/v1/claims \
--header 'Authorization: Bearer demo-access-token' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: pix-demo-20260903-000001' \
--header 'X-Account-Id: 019606a1-3b4c-7d8e-9f01-234567890abc' \
--data '{
"key": "+5511987654321",
"type": "OWNERSHIP"
}'import requests
url = "https://api.example.com/dict-hub/v1/claims"
payload = {
"key": "+5511987654321",
"type": "OWNERSHIP"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"X-Account-Id": "<x-account-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
'X-Account-Id': '<x-account-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({key: '+5511987654321', type: 'OWNERSHIP'})
};
fetch('https://api.example.com/dict-hub/v1/claims', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"accountId": "019606a1-3b4c-7d8e-9f01-234567890abc",
"bacenId": "claim-bacen-001",
"cancelReason": "cancelreason-example",
"cancelledBy": "cancelledby-example",
"claimId": "019606c3-5d6e-7f80-1b23-456789012cde",
"claimer": {
"account": {
"branch": "0001",
"number": "1234567",
"openingDate": "2024-03-10",
"type": "CACC"
},
"document": "52998224725",
"name": "Maria da Silva",
"participant": "87654321",
"personType": "NATURAL_PERSON",
"tradeName": "Silva ME"
},
"completionPeriodEnd": "2026-06-18T03:00:00Z",
"confirmReason": "confirmreason-example",
"correlationId": "a9f13566e19f5ca51329479a5bae60c5",
"createdAt": "2026-05-19T14:30:00Z",
"donorParticipant": "12345678",
"keyType": "PHONE",
"keyValue": "+5511987659999",
"lastModified": "2026-05-19T14:32:11Z",
"requestId": "e7c1a2b3-4d5e-6f70-8a90-1b2c3d4e5f60",
"resolutionPeriodEnd": "2026-05-25T03:00:00Z",
"status": "WAITING_RESOLUTION",
"type": "PORTABILITY",
"updatedAt": "2026-05-19T14:32:11Z"
}{
"code": "PIX-0030",
"title": "Idempotency Key Required",
"message": "The Idempotency-Key header is required for this operation and must be within the accepted length."
}{
"code": "PIX-0031",
"title": "Idempotency Key Conflict",
"message": "The Idempotency-Key was already used with a different request."
}{
"code": "PIX-0032",
"title": "Idempotency Unavailable",
"message": "The request was not processed because the idempotency store is unavailable. Please retry."
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}Abrir uma reivindicação de chave Pix
Abre uma reivindicação de chave Pix do tipo PORTABILITY ou OWNERSHIP em nome da conta reivindicante identificada por X-Account-Id. O corpo da requisição contém apenas a chave e o tipo da reivindicação; keyType é determinado pelo formato da chave.
Autorizações
JWT bearer token issued by the identity provider.
Cabeçalhos
Chave criada pelo cliente para repetir com segurança exatamente a mesma requisição.
1 - 64UUID da conta associada à operação.
"019606a1-3b4c-7d8e-9f01-234567890abc"
Corpo
Resposta
Created
"019606a1-3b4c-7d8e-9f01-234567890abc"
"claim-bacen-001"
"019606c3-5d6e-7f80-1b23-456789012cde"
Show child attributes
Show child attributes
"2026-05-19T14:30:00Z"
"12345678"
"PHONE"
"+5511987659999"
"2026-05-19T14:32:11Z"
"WAITING_RESOLUTION"
"PORTABILITY"
"2026-05-19T14:32:11Z"
"2026-06-18T03:00:00Z"
"a9f13566e19f5ca51329479a5bae60c5"
"e7c1a2b3-4d5e-6f70-8a90-1b2c3d4e5f60"
"2026-05-25T03:00:00Z"
Esta página foi útil?

